org.gradle.plugins.ide.api

## Class XmlGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject>

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<T>

- Type Parameters:
    `T` - The domain object type.
  All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      public abstract class XmlGeneratorTask<T extends org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject>
      extends GeneratorTask<T>

  A convenience superclass for those tasks which generate XML configuration files from a domain object of type T.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlGeneratorTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `configure(T object)`
    `protected abstract T` | `create()`
    `protected org.gradle.api.internal.XmlTransformer` | `getXmlTransformer()`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFile, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlGeneratorTask

          public XmlGeneratorTask()

  - ### Method Detail

    - #### getXmlTransformer

          protected org.gradle.api.internal.XmlTransformer getXmlTransformer()

    - #### configure

          protected abstract void configure(T object)

    - #### create

          protected abstract T create()